Logging

Message handling. More...

## Typedefs

typedef void(* | lqt_log_callback_t) (lqt_log_level_t level, const char *domain, const char *message, void *data)
| Log callback.

## Enumerations

enum | lqt_log_level_t { LQT_LOG_ERROR = (1<<0) , LQT_LOG_WARNING = (1<<1) , LQT_LOG_INFO = (1<<2) , LQT_LOG_DEBUG = (1<<3) }
| Log level. More...

## Functions

void | lqt_set_log_callback (lqt_log_callback_t cb, void *data)
| Set callback for global logging.

## Detailed Description

Message handling.

## Typedef Documentation

## lqt_log_callback_t

typedef void(* lqt_log_callback_t) (lqt_log_level_t level, const char *domain, const char *message, void *data)

Log callback.

Parameters

  level | The log level
  domain | Log domain (e.g. name of the module)
  message | The message to pass
  data | Application supplied data

## Enumeration Type Documentation

## lqt_log_level_t

enum lqt_log_level_t

Log level.

## Function Documentation

## lqt_set_log_callback()

void lqt_set_log_callback | ( | lqt_log_callback_t | cb,
|  | void * | data
| ) |  |

Set callback for global logging.

Parameters

  cb | Callback function
  data | Application supplied data